Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

#1 Le 26/04/2013, à 11:55

FrancisFDZ

linux-headers-3.8.0-19 et raring [Résolu]

Bonjour,
Je viens de passer de Quantal (noyau 3.5.0-28) à raring (noyau 3.8.0-19).
Je suis d'abord surpris de passer d'un noyau 3.5 à un noyau 3.8, mais le problème n'est pas là. Je suis connecté à travers une clé USB Advance, qui nécessite ndiswrapper pour fonctionner avec ses drivers Window$. Pour cela, il faut entre autre que ndiswrapper soit installé via modprobe, or cette installation s'avère impossible.
J'ai eu je crois une bonne idée d'installer raring en upgrade plutôt qu'en install complète, ça m'a permis de pouvoir démarrer sur l'ancien noyau (3.5.0.28).
Quand j'essaie sous le nouveau noyau (3.8.0-19) de créer le module ndiswrapper (que ce soit par "ndiswrapper -m" ou en passant par module-assistant, je reçois un message d'erreur comme quoi le fichier "linux-headers-3.8.0.19-generic" est mal installé. Je redémarre sous l'ancien noyau et

francis@Ubuntu:~$ sudo apt-get install linux-headers-3.8.0-19-generic
[sudo] password for francis: 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
linux-headers-3.8.0-19-generic est déjà la plus récente version disponible.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

Le noyau semble bien installé. Si je retourne sur ce noyau, j'ai le même message.
Je suis donc actuellement sous raring, version 64 bits :

francis@Ubuntu:~$ lsb_release -a
No LSB modules are available.
Distributor ID:	Ubuntu
Description:	Ubuntu 13.04
Release:	13.04
Codename:	raring
francis@Ubuntu:~$ uname -r
3.5.0-28-generic

Il me semble que dans ce cas, linux-headers-3.8.0-19-generic ne suffise pas. Quel(s) autre(s) header faudrait-il installer ?
J'ai tenté (sous 3.5) un

francis@Ubuntu:~$ sudo apt-get install linux-headers-3.8.0-19*
[sudo] password for francis: 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Note : sélection de linux-headers-3.8.0-19 pour l'expression rationnelle « linux-headers-3.8.0-19* »
Note : sélection de linux-headers-3.8.0-19-lowlatency pour l'expression rationnelle « linux-headers-3.8.0-19* »
Note : sélection de linux-headers-3.8.0-19-generic pour l'expression rationnelle « linux-headers-3.8.0-19* »
linux-headers-3.8.0-19 est déjà la plus récente version disponible.
linux-headers-3.8.0-19-generic est déjà la plus récente version disponible.
linux-headers-3.8.0-19-lowlatency est déjà la plus récente version disponible.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

(j'ai refait l'opération, la première fois les "low-latency" ont posé quelques problèmes, mais ils semblent installés)
Sous quantal, j'ai du charger la version "à compiler" de ndiswrapper-1.58RC1, la version 1.57 de quantal ne créait pas de module. Je suis ensuite passé à la version 1.58 des paquets raring (pour éviter une recompil à chaque changement de noyau) et ça fonctionnait très bien.
J'ai aussi tenté cette compil sous raring, mais il trouve des problèmes de "linux-headers"
Alors que faire ?
D'accord je tourne sans problème sous 3.5, mais le problème risque fort de se répéter au prochain noyau.
Toute idée, d"ébut de piste, ... est bonne à prendre et je vous en remercie d'avance

Dernière modification par FrancisFDZ (Le 09/05/2013, à 10:14)


-- On peut avoir des raisons de se plaindre et n'avoir pas raison de se plaindre --
[Victor Hugo]

Hors ligne

#2 Le 26/04/2013, à 12:19

Babdu89

Re : linux-headers-3.8.0-19 et raring [Résolu]

Bonjour...

Pendant les tests de raring  lorsque le gestionnaire de maj en mode graphique me posait des soucis à l'installation d'un nouveau noyau, en commande...


pour installer un nouveau kernel:13.04

sudo apt-get install linux-headers-3.8.0-19

sudo apt-get install linux-headers-3.8.0-19-generic

sudo apt-get install linux-image-3.8.0-19-generic

sudo apt-get install linux-image-extra-3.8.0-19-generic

Çà fonctionnait ...

@+.   Babdu89   .


J'ai découvert Ubuntu avec la 07.10.... Et alors?!...  Depuis je regarde de temps en temps si Windows marche toujours....

Hors ligne

#3 Le 26/04/2013, à 13:22

FrancisFDZ

Re : linux-headers-3.8.0-19 et raring [Résolu]

Merci de cette réponse rapide, ... mais décevante :

francis@Ubuntu:~$ sudo apt-get install linux-headers-3.8.0-19
[sudo] password for francis: 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
linux-headers-3.8.0-19 est déjà la plus récente version disponible.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
francis@Ubuntu:~$ sudo apt-get install linux-headers-3.8.0-19-generic
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
linux-headers-3.8.0-19-generic est déjà la plus récente version disponible.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
francis@Ubuntu:~$ sudo apt-get install linux-image-3.8.0-19-generic
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
linux-image-3.8.0-19-generic est déjà la plus récente version disponible.
linux-image-3.8.0-19-generic passé en « installé manuellement ».
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
francis@Ubuntu:~$ sudo apt-get install linux-image-extra-3.8.0-19-generic
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
linux-image-extra-3.8.0-19-generic est déjà la plus récente version disponible.
linux-image-extra-3.8.0-19-generic passé en « installé manuellement ».
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

Pour info, les messages d'erreur de module-assistant lors de la tentative de création du module ndiswrapper :
- m-a prepare

Récupération des sources du noyau de la version : 3.8.0-19-generic
apt-get install linux-headers-3.8.0-19-generic 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
linux-headers-3.8.0-19-generic est déjà la plus récente version disponible.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
apt-get install build-essential 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
build-essential est déjà la plus récente version disponible.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

Fait.

et après tentative de "build" :

Les en-têtes des noyaux pour la version cible n'ont pas pu être
trouvés et vous n'avez pas indiqué d'autres en-têtes valables à
utiliser.

Toutefois, vous pouvez installer les fichiers d'en-têtes pour
votre noyau, fournis par le paquet
linux-heders-3.8.0-19-generic. Pour la plupart des paquets de
modules, ces fichiers sont tout à fait suffisants, et il n'est
pas nécessaire d'avoir les sources originales du noyau.
Pour installer ce paquet, lancez la commande PREPARE depuis le 
menu principal ou en ligne de commande. :

module-assistant prepare

ou

apt-get install linux-headers-3.8.0-19-generic

Je suis prèt à downgrader si quelqu'un peut me donner la marche à suivre

"On tourne en rond, merde, on tourne en rond" (phrase "culte" du "grand blond avec une chaussure noire")  wink

Dernière modification par FrancisFDZ (Le 27/04/2013, à 16:26)


-- On peut avoir des raisons de se plaindre et n'avoir pas raison de se plaindre --
[Victor Hugo]

Hors ligne

#4 Le 26/04/2013, à 16:05

FrancisFDZ

Re : linux-headers-3.8.0-19 et raring [Résolu]

Après lecture de ce post, je pense virer l'image du 3.8.0-19 pour repasser en 3.5.0-28. Cependant, je n'arrive pas à trouver où se cachent ces images.
Un "sudo apt-get purge linux*3.8.0-19*" suivi d'un "sudo update-grub" sera-t'il suffisant ?

[edit] Je viens de faire un petit tour sur le forum à la recherche de posts concernant le noyau 3.8 : je ne suis pas le seul à avoir des problèmes !
Le retour à 3.5.0-28 me parait de plus en plus être LA solution, mais comment se fait-il que l'on soit passé directement de 3.5 à 3.8 ?! (je fais régulièrement les mises à jour proposées, et n'ai toujours pas vu le noyau 3.6)

Dernière modification par FrancisFDZ (Le 26/04/2013, à 16:25)


-- On peut avoir des raisons de se plaindre et n'avoir pas raison de se plaindre --
[Victor Hugo]

Hors ligne

#5 Le 27/04/2013, à 06:52

FrancisFDZ

Re : linux-headers-3.8.0-19 et raring [Résolu]

Dans un premier temps, je me télécharge un DVD live et tente l'installation de ndiswrapper sur celui-ci (c'est pas joué !)


-- On peut avoir des raisons de se plaindre et n'avoir pas raison de se plaindre --
[Victor Hugo]

Hors ligne

#6 Le 27/04/2013, à 13:10

FrancisFDZ

Re : linux-headers-3.8.0-19 et raring [Résolu]

Retour d'expérience :
J'ai téléchargé le fichier ubuntu-13.04-desktop-amd64.iso et gravé ensuite
- Le paquet ndiswrapper n'y figure pas (pas de pb majeur, je l'avais déjà chargé)
- en live, impossible de créer le module correspondant à ndiswrapper, toujours pour des problèmes de headers.
Conclusion : il existe bien un problème concernant linux-headers-3.8.0-19, que ce soit par installation via le net (upgrade) ou sur le DVD d'installation.
Je vais tenter de trouver d'autres version des headers en espérant qu'elle seront fonctionnelles.

[edit] après recherche, le seul iso d'installation disponible semble bien être celui que j'ai chargé : il n'existerait pas de version incluant ndiswrapper. Si je n'avais pas téléchargé le paquet avant, une installation complète de raring aurait abouti à un système inapte à se connecter !
Autre remarque : il n'existe pas de fichier "linux-headers*" sur ce DVD d'installation !? sad

Dernière modification par FrancisFDZ (Le 27/04/2013, à 16:54)


-- On peut avoir des raisons de se plaindre et n'avoir pas raison de se plaindre --
[Victor Hugo]

Hors ligne

#7 Le 29/04/2013, à 08:49

FrancisFDZ

Re : linux-headers-3.8.0-19 et raring [Résolu]

J'ai trouvé ue anomalie dans les fichiers "/lib/module/[version du noyau]/ " : il me reste encore encore 10 répertoires des noyaux 3.5.0, chacun d'eux contient (et NE contient QUE) un répertoire "misc" dans lequel je retrouve le fichier module ndiswrapper.ko. Pour voir, j'ai recopié ce répertoire dans "/lib/modules/3.8.0-19-generic" , mais sans résultat.
Je pense que ce fichier aurait été créé par modprobe, mais sous 3.8.0 modprobe me renvoie ce message d'arreue sybillin

francis@Ubuntu:~$ sudo modprobe ndiswrapper
ERROR: could not insert 'ndiswrapper': Exec format error

Il semble que l'origine de cette erreur soit dans les fichiers d'en-tête qui seraient incomplets (?)
Affaire à suivre, j'espère que la version 3.8.0-20 corrigera ce bug. smile


-- On peut avoir des raisons de se plaindre et n'avoir pas raison de se plaindre --
[Victor Hugo]

Hors ligne

#8 Le 29/04/2013, à 11:12

FrancisFDZ

Re : linux-headers-3.8.0-19 et raring [Résolu]

J'abandonne.
Mes faibles connaissances ne permettront pas de faire tourner ndiswrapper sous le noyau 3.8.0.
Je l'ai effacé en passant par kclean, le petit mais excellent utilitaire de Hoper. Je reste donc sous 3.5.0-28 en attendant le prochain.
Jespère quand même due ce post aura alerté les developpeurs, d'autant que j'ai repéré sur ce forum d'autres posts avec un problème similaire : impossible de créer des modules sous le noyau 3.8.0-19


-- On peut avoir des raisons de se plaindre et n'avoir pas raison de se plaindre --
[Victor Hugo]

Hors ligne

#9 Le 06/05/2013, à 22:27

pouille2231

Re : linux-headers-3.8.0-19 et raring [Résolu]

Bonsoir,

Juste un petit up pour signaler que chez moi cela marche.
Pour cela j'ai désinstaller ndiswrapper-utils ndiswrapper-common ndiswrapper-dkms et ndiswrapper-source (tous présents depuis fort longtemps)
puis réinstallé à partir de ces sources : http://www.ubuntuupdates.org/package/co … apper-dkms (réinstallation des 4 paquets) avec dpkg.
Ensuite j'ai suivi le procédure "classique" de paramétrage de ndiswrapper disponible ici : http://doc.ubuntu-fr.org/ndiswrapper

J'espère qu'il en sera de même pour vous!

Dernière modification par pouille2231 (Le 06/05/2013, à 22:28)

Hors ligne

#10 Le 09/05/2013, à 07:52

FrancisFDZ

Re : linux-headers-3.8.0-19 et raring [Résolu]

Voila enfin LA réponse que j'attendais !
Hélas, j'ai viré le noyau 3.8.0-19 et ne sais pas comment le réinstaller ... sad


-- On peut avoir des raisons de se plaindre et n'avoir pas raison de se plaindre --
[Victor Hugo]

Hors ligne

#11 Le 09/05/2013, à 09:51

FrancisFDZ

Re : linux-headers-3.8.0-19 et raring [Résolu]

Au temps pour moi : la procédure d'install du noyau est donnée par Bab dans le post 2 !
A ce moment ça n'avait rien donné puisque ce noyau était installé ! Donc je réinstalle ! J'ai déjà chargé les versions 1-58 de ndiswrapper et vogue la galère !


-- On peut avoir des raisons de se plaindre et n'avoir pas raison de se plaindre --
[Victor Hugo]

Hors ligne

#12 Le 09/05/2013, à 10:19

FrancisFDZ

Re : linux-headers-3.8.0-19 et raring [Résolu]

Ben vala ...
J'ai réinstallé le noyau suspect suivant la procédure de Bab (post 2) après avoir chargé les derniers paquets ndiswrapper.
J'ai redémarré : noyau 3.8.0-19 , pas de réseau.
J'ai installé les paquets ndiswrapper
sudo ndiswrapper -m
sudo modprobe ndiswrapper
Problème résolu !
Merci Bab, Merci Pouille !


-- On peut avoir des raisons de se plaindre et n'avoir pas raison de se plaindre --
[Victor Hugo]

Hors ligne

#13 Le 09/05/2013, à 12:06

Babdu89

Re : linux-headers-3.8.0-19 et raring [Résolu]

Bonjour...
Bien content que tu soit arrivé à tes fins...

Pour info;
Avec l'outil Boot-Repair ;

http://doc.ubuntu-fr.org/boot-repair

Réinstallation de grub sur un OS... Il y a une Option "Purger les kernels, puis réinstaller le dernier kernel" ...

1368096983.png

Je l'ai utilisé dernièrement, j'avais plusieurs noyaux et une réinstallation du dernier kernel disponible qui ne s'était pas bien passée ...
Après avoir vraiment bien nettoyé les anciens kernel, il y a eu réinstallation de la dernière version disponible ...
Seul ce dernier kernel était dans le dossier /boot de l'OS de réinstallation  ...
La machine a redémarré dessus sans souci sur l'OS ...

Remarque ;
Boot-Repair, si il fait une bonne réinstallation, nettoie plus fort que Kclean (que j'utilise aussi), et on ne peut malheureusement pas choisir ce qui va être supprimé, tout les kernel présents sont remplacés ...  Donc Utilisation de Boot-Repair avec prudence ...

L'option "Purger Grub avant de le réinstaller" est très efficace elle aussi ...

@+.   Babdu89  .


J'ai découvert Ubuntu avec la 07.10.... Et alors?!...  Depuis je regarde de temps en temps si Windows marche toujours....

Hors ligne

#14 Le 09/05/2013, à 18:29

FrancisFDZ

Re : linux-headers-3.8.0-19 et raring [Résolu]

Ok, encore merci.
kclean, je connais et j'utilise (j'en ai déjà parlé ici)
Par contre, bootrepair, je vais me le procurer et me pencher dessus.

Je reste quand même surpris par l'absence de linux-headers sur le DVD d'installation (aurais-je mal cherché ?)


-- On peut avoir des raisons de se plaindre et n'avoir pas raison de se plaindre --
[Victor Hugo]

Hors ligne

Haut de page ↑